- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources/list#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources/list#body.ListAssignedInventorySourcesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources/list#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources/list#try-it)

Lists inventory sources assigned to an inventory source group.

### HTTP request

`GET https://displayvideo.googleapis.com/v4/inventorySourceGroups/{inventorySourceGroupId}/assignedInventorySources`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `inventorySourceGroupId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the inventory source group to which these assignments are assigned. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. Must be between `1` and `100`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified. |
| `pageToken` | `string` A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources/list#body.ListAssignedInventorySourcesResponse.FIELDS.next_page_token` returned from the previous call to `assignedInventorySources.list` method. If not specified, the first page of results will be returned. |
| `orderBy` | `string` Field by which to sort the list. Acceptable values are: - `assignedInventorySourceId` (default) The default sorting order is ascending. To specify descending order for a field, a suffix " desc" should be added to the field name. Example: `assignedInventorySourceId desc`. |
| `filter` | `string` Allows filtering by assigned inventory source fields. Supported syntax: - Filter expressions are made up of one or more restrictions. - Restrictions can be combined by the `OR` logical operator. - A restriction has the form of `{field} {operator} {value}`. - All fields must use the `EQUALS (=)` operator. Supported fields: - `assignedInventorySourceId` The length of this field should be no more than 500 characters. Reference our [filter `LIST` requests](https://developers.google.com/display-video/api/guides/how-tos/filters) guide for more information. |
| Required. Identifies which DV360 entity the request is being made within. The LIST request will only return assigned inventory sources that are accessible to the DV360 entity identified within the `accessor`. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the partner that has access to the assignment. If the parent inventory source group is advertiser-owned, the assignment cannot be accessed via a partner. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the advertiser that has access to the assignment. If the parent inventory source group is partner-owned, only advertisers to which the parent group is explicitly shared can access the assigned inventory source. |
| End of mutually exclusive fields. ||

### Request body

The request body must be empty.

### Response body

Response message for AssignedInventorySourceService.ListAssignedInventorySources.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "assignedInventorySources": [ { object (`https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources#AssignedInventorySource`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `assignedInventorySources[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources#AssignedInventorySource`)`` The list of assigned inventory sources. This list will be absent if empty. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/display-video/api/reference/rest/v4/inventorySourceGroups.assignedInventorySources/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `assignedInventorySources.list` method to retrieve the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).